/*
 * $Id: i18n.c,v 1.1.1.1 2005/02/17 05:45:52 sundin Exp $
 *
 * Tag: $Name:  $
 *
 * See the file COPYRIGHT for copyright information
 *
 * $Log: i18n.c,v $
 * Revision 1.1.1.1  2005/02/17 05:45:52  sundin
 * initial import ver0.0.5
 *
 * Revision 1.2  2005/01/17 18:29:49  ksltuf
 * added finnish translations
 *
 * Revision 1.1.1.1  2005/01/17 18:06:31  ksltuf
 * PIM-Plugin 0.0.4
 *
 * Revision 1.4  2004/12/13 07:59:04  ksltuf
 * bugfix setup parsing; new option firstIsMonday
 *
 * Revision 1.3  2004/11/24 21:34:35  ksltuf
 * Added new translation for "Delete Event?"
 *
 * Revision 1.2  2004/07/05 19:00:26  ksltuf
 * Added COPYRIGHT and cvs information
 *
 *
 */


#include "i18n.h"

const tI18nPhrase pimPhrases[] = {

  { "PIM Calendar",
    "PIM Kalender",
    "",
    "",
    "",
    "",
    "",
    "",
    "Kalenteri",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "Simple Personal Information Manager",
    "Simple Personal Information Manager",
    "",
    "",
    "",
    "",
    "",
    "",
    "Kalenteri kuvaruutunytlle",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "January",
    "Januar",
    "",
    "",
    "",
    "",
    "",
    "",
    "Tammikuu",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "February",
    "Februar",
    "",
    "",
    "",
    "",
    "",
    "",
    "Helmikuu",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "March",
    "Mrz",
    "",
    "",
    "",
    "",
    "",
    "",
    "Maaliskuu",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "April",
    "April",
    "",
    "",
    "",
    "",
    "",
    "",
    "Huhtikuu",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "May",
    "Mai",
    "",
    "",
    "",
    "",
    "",
    "",
    "Toukokuu",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "June",
    "Juni",
    "",
    "",
    "",
    "",
    "",
    "",
    "Keskuu",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "July",
    "Juli",
    "",
    "",
    "",
    "",
    "",
    "",
    "Heinkuu",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "August",
    "August",
    "",
    "",
    "",
    "",
    "",
    "",
    "Elokuu",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "September",
    "September",
    "",
    "",
    "",
    "",
    "",
    "",
    "Syyskuu",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "October",
    "Oktober",
    "",
    "",
    "",
    "",
    "",
    "",
    "Lokakuu",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "November",
    "November",
    "",
    "",
    "",
    "",
    "",
    "",
    "Marraskuu",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "December",
    "Dezember",
    "",
    "",
    "",
    "",
    "",
    "",
    "Joulukuu",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "Today",
    "Heute",
    "",
    "",
    "",
    "",
    "",
    "",
    "Tnn",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "Mo",
    "Mo",
    "",
    "",
    "",
    "",
    "",
    "",
    "Ma",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "Tu",
    "Di",
    "",
    "",
    "",
    "",
    "",
    "",
    "Ti",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "We",
    "Mi",
    "",
    "",
    "",
    "",
    "",
    "",
    "Ke",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "Th",
    "Do",
    "",
    "",
    "",
    "",
    "",
    "",
    "To",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "Fr",
    "Fr",
    "",
    "",
    "",
    "",
    "",
    "",
    "Pe",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "Sa",
    "Sa",
    "",
    "",
    "",
    "",
    "",
    "",
    "La",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "Su",
    "So",
    "",
    "",
    "",
    "",
    "",
    "",
    "Su",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },

  { "Events",
    "Termine",
    "",
    "",
    "",
    "",
    "",
    "",
    "Tapahtumat",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "Events for",
    "Termine fr",
    "",
    "",
    "",
    "",
    "",
    "",
    "Tapahtumat:",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "Yearly",
    "Jhrlich",
    "",
    "",
    "",
    "",
    "",
    "",
    "vuosittainen",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "Fix Day",
    "Fester Tag",
    "",
    "",
    "",
    "",
    "",
    "",
    "kerran",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "Weekly",
    "Wchentlich",
    "",
    "",
    "",
    "",
    "",
    "",
    "viikottainen",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "Edit Event",
    "Termin ndern",
    "",
    "",
    "",
    "",
    "",
    "",
    "Muokkaa tapahtumaa",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "New Event",
    "Neuer Termin",
    "",
    "",
    "",
    "",
    "",
    "",
    "Uusi tapahtuma",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "Event type",
    "Art des Termins",
    "",
    "",
    "",
    "",
    "",
    "",
    "Toistuva tapahtuma",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "Day",
    "Tag",
    "",
    "",
    "",
    "",
    "",
    "",
    "Piv",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "Month",
    "Monat",
    "",
    "",
    "",
    "",
    "",
    "",
    "Kuukausi",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "Year",
    "Jahr",
    "",
    "",
    "",
    "",
    "",
    "",
    "Vuosi",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "Day Of Week (Mo=1)",
    "Wochentag (Mo=1)",
    "",
    "",
    "",
    "",
    "",
    "",
    "Viikonpiv (Ma=1)",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "Description",
    "Beschreibung",
    "",
    "",
    "",
    "",
    "",
    "",
    "Kuvaus",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "List",
    "Liste",
    "",
    "",
    "",
    "",
    "",
    "",
    "Listaa",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "OSD Offset hor.",
    "OSD Versatz hor.",
    "",
    "",
    "",
    "",
    "",
    "",
    "Vaakakeskitys",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "OSD Offset vert.",
    "OSD Versatz vert.",
    "",
    "",
    "",
    "",
    "",
    "",
    "Pystykeskitys",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "cal commandline",
    "cal Aufruf",
    "",
    "",
    "",
    "",
    "",
    "",
    "cal-komentorivi",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "Delete Event?",
    "Termin lschen?",
    "",
    "",
    "",
    "",
    "",
    "",
    "Poistetaanko tapahtuma?",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { "Week starts with",
    "Woche beginnt mit",
    "",
    "",
    "",
    "",
    "",
    "",
    "Ensimminen viikonpiv",
    "",
    "",
    "",
    "",
    "",
    "",
    "",
#if VDRVERSNUM >= 10302
    "",
#endif
  },


  { NULL }
  };
